# List quote templates

> Lists the agency's quote templates — what the public quote page looks like — in one page.

`GET /v1/quote-templates`

Lists the agency's quote templates — what the public quote page looks like — in one page. `isDefault` marks the one a quote with `templateId: null` uses. Set a quote's template with PATCH /quotes/{quoteId}.

**Permissions:** `quotes:read` · **Kind:** read · **Cost:** 1 unit · MCP tool [`list_quote_templates`](https://api.bymundi.com/docs/mcp/tools/list_quote_templates.md)



## Path parameters

_None._

## Query parameters

_None._

## Response `200`

| Field | Type | Required | Description |
|---|---|---|---|
| `object` | "list" | yes |  |
| `data` | object[] | yes |  |
| `data[].object` | "quote_template" | yes |  |
| `data[].id` | uuid | yes |  |
| `data[].name` | string | yes |  |
| `data[].isDefault` | boolean | yes |  |
| `data[].updatedAt` | string | yes |  |
| `nextCursor` | string \| null | yes |  |

## Errors

Errors are [problem details](https://api.bymundi.com/docs/guides/errors.md). Besides the refusals described above, any call like this one can return:

- [`invalid_request`](https://api.bymundi.com/problems/invalid_request.md) — Invalid request
- [`unauthorized`](https://api.bymundi.com/problems/unauthorized.md) — Missing or invalid API key
- [`insufficient_scope`](https://api.bymundi.com/problems/insufficient_scope.md) — Missing permission
- [`rate_limited`](https://api.bymundi.com/problems/rate_limited.md) — Rate limit reached

## Examples

#### curl

```bash
curl https://api.bymundi.com/v1/quote-templates \
  -H "Authorization: Bearer $BYMUNDI_KEY"
```

#### JavaScript

```javascript
const res = await fetch("https://api.bymundi.com/v1/quote-templates", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.BYMUNDI_KEY}`,
  },
});
if (!res.ok) throw new Error((await res.json()).detail);
const data = await res.json();
```

#### Python

```python
import os, uuid, requests

res = requests.get(
    "https://api.bymundi.com/v1/quote-templates",
    headers={"Authorization": f"Bearer {os.environ['BYMUNDI_KEY']}"},
)
res.raise_for_status()
data = res.json()
```
